Package org.apache.sling.starter.access.models

# Class AccessFormPage

java.lang.Object
org.apache.sling.starter.access.models.AccessFormPage

Direct Known Subclasses:
  `Ace`, `Acl`

public abstract class AccessFormPage extends Object
Base class for common ACL/ACE functionality

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.apache.sling.jcr.jackrabbit.accessmanager.PrivilegesInfo`
`privilegesInfo`
`protected org.apache.sling.api.SlingJakartaHttpServletRequest`
`request`
`protected org.apache.sling.api.resource.Resource`
`resource`
`protected org.apache.sling.api.SlingJakartaHttpServletResponse`
`response`

## Constructor Summary

Constructors
Constructor
Description
`AccessFormPage()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getCanModifyAccessControl()`
Checks whether the current user has been granted privileges to modify the access control of the current node.
`boolean`
`getCanReadAccessControl()`
Checks whether the current user has been granted privileges to modify the access control of the current node.
`String`
`getLocation()`
`protected org.apache.sling.jcr.jackrabbit.accessmanager.PrivilegesInfo`
`getPrivilegesInfo()`
Lazy create the PrivilegesInfo field the first time it is used.
`protected void`
`init()`
Instantiates the model.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### privilegesInfo

protected org.apache.sling.jcr.jackrabbit.accessmanager.PrivilegesInfo privilegesInfo

### request

protected org.apache.sling.api.SlingJakartaHttpServletRequest request

### response

protected org.apache.sling.api.SlingJakartaHttpServletResponse response

### resource

protected org.apache.sling.api.resource.Resource resource

## Constructor Details

### AccessFormPage

public AccessFormPage()

## Method Details

### init

@PostConstruct protected void init() throws IOException
Instantiates the model.

Throws:
  `IOException`

### getPrivilegesInfo

protected org.apache.sling.jcr.jackrabbit.accessmanager.PrivilegesInfo getPrivilegesInfo()
Lazy create the PrivilegesInfo field the first time it is used.

### getCanReadAccessControl

public boolean getCanReadAccessControl()
Checks whether the current user has been granted privileges to modify the access control of the current node.

Returns:
  true if the current user has the privileges, false otherwise

### getCanModifyAccessControl

public boolean getCanModifyAccessControl()
Checks whether the current user has been granted privileges to modify the access control of the current node.

Returns:
  true if the current user has the privileges, false otherwise

### getLocation

public String getLocation()